Compare 2 stored versions of a namespace ontology
curl --request GET \
--url https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"from": 123,
"to": 123,
"resources": [
{
"iri": "<string>",
"added": [
{
"predicate": "<string>",
"object": {
"iri": "<string>",
"literal": "<string>",
"datatype": "<string>",
"language": "<string>"
}
}
],
"removed": [
{
"predicate": "<string>",
"object": {
"iri": "<string>",
"literal": "<string>",
"datatype": "<string>",
"language": "<string>"
}
}
]
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}rdf
Compare 2 stored versions of a namespace ontology
The statements added and removed from one version to the other, both limited to the datasets the caller can view now; a deleted dataset of the namespace shows only its IRIs, and only to the namespace’s owner, not through a token limited to some datasets. A newer from gives the reverse change. As JSON, grouped by resource; as an RDF Patch with an id of its own, whose from and to headers name the 2 versions, and which applies to the default graph of the from version as the caller gets it now, without its owl:versionIRI and owl:priorVersion; for N-Quads or TriG, apply it to the named graph of the download taken as the default graph. The format comes from the format query parameter, else the Accept header, else JSON.
GET
/
rdf
/
{username}
/
{namespace}
/
ontology
/
versions
/
{from}
/
diff
/
{to}
Compare 2 stored versions of a namespace ontology
curl --request GET \
--url https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.datalinks.com/api/v1/rdf/{username}/{namespace}/ontology/versions/{from}/diff/{to}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"from": 123,
"to": 123,
"resources": [
{
"iri": "<string>",
"added": [
{
"predicate": "<string>",
"object": {
"iri": "<string>",
"literal": "<string>",
"datatype": "<string>",
"language": "<string>"
}
}
],
"removed": [
{
"predicate": "<string>",
"object": {
"iri": "<string>",
"literal": "<string>",
"datatype": "<string>",
"language": "<string>"
}
}
]
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
bearerAuthopenId